Difference between revisions of "Macro Remove parametric history/cs"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "Před a po:")
Line 5: Line 5:
  
  
Before and after:
+
Před a po:
  
  

Revision as of 20:27, 10 June 2014

32px Remove parametric history

Popis
Odebere všechny parametrické asociace z objektu ponechajíc ho jako osamocené těleso

Autor
Yorik
Download
None
Odkazy
Verze
1.0
Datum poslední úpravy
None
Verze FreeCAD
None
Výchozí zástupce
None
Viz též
None

Contents


Popis

Odebere všechny parametrické asociace z objektu ponechajíc ho jako osamocené těleso


Před a po:


RPH before.png
RPH after.png

Script

Remove parametric history.FCMacro

originalObject = FreeCAD.ActiveDocument.ActiveObject
newShape = originalObject.Shape.copy()
newName = FreeCAD.ActiveDocument.ActiveObject.Name
FreeCAD.ActiveDocument.removeObject(newName)
newObject = FreeCAD.ActiveDocument.addObject("Part::Feature",newName)
newObject.Shape = newShape
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano